<?
$previewpage = "previewentry";
include "./manager/manager_header.php";


$entry_info[title] = stripslashes($_POST['title']);
$entry_info[contents] = str_replace("&amp;", "&", str_replace("&gt;", ">", str_replace("&lt;", "<", stripslashes($_POST['contents']))));
$month = stripslashes($_POST['month']);
$day = stripslashes($_POST['day']);
$year = stripslashes($_POST['year']);
$hour = stripslashes($_POST['hour']);
$minute = stripslashes($_POST['minute']);
$ampm = stripslashes($_POST['ampm']);
$date = strtotime("$month/$day/$year $hour:$minute:00 $ampm");
$entry_info[date] = untimezone($date);
$entry_info[comments] = stripslashes($_POST['comments']);
$entry_info[trackbacks] = stripslashes($_POST['trackbacks']);
$entry_info[ec_id] = $_POST['ec_id'];
$entry_info[author_u_id] = $_POST['author_u_id'];
if(isset($_POST['e_id'])) { $e_id = $_POST['e_id']; } else { $e_id = 0; }

// CENSOR BAD WORDS FOR PREVIEW
$bad_words = explode(",", trim($admin_info[banned_badwords]));
$bad_words_replace = explode(",", trim($admin_info[banned_badwords_replace]));
$entry_info[contents] = str_replace($bad_words, $bad_words_replace, $entry_info[contents]);
$entry_info[title] = str_replace($bad_words, $bad_words_replace, $entry_info[title]);

$template = $weblog_info[template];
$template = bh_engine($template);

// REPLACE windowtitle VARIABLE
$template = str_replace("<%WindowTitle%>", "$weblog_info[title] - $entry_info[title] - BlogHoster", $template);

// REMOVE ANYTHING BETWEEN <IFMAINPAGE> CONTAINERS
$ifmainpagecount = occurrencecount("<IfMainPage>", "</IfMainPage>", $template, "0");
for($a=0;$a<$ifmainpagecount;$a++) {
$template = str_replace("<IfMainPage>".between("<IfMainPage>", "</IfMainPage>", $template)."</IfMainPage>", "", $template);
}

// REMOVE ANYTHING BETWEEN <IFARCHIVEPAGE> CONTAINERS
$ifarchivepagecount = occurrencecount("<IfArchivePage>", "</IfArchivePage>", $template, "0");
for($a=0;$a<$ifarchivepagecount;$a++) {
$template = str_replace("<IfArchivePage>".between("<IfArchivePage>", "</IfArchivePage>", $template)."</IfArchivePage>", "", $template);
}

// REMOVE ANYTHING BETWEEN <IFFRIENDSPAGE> CONTAINERS
$iffriendspagecount = occurrencecount("<IfFriendsPage>", "</IfFriendsPage>", $template, "0");
for($a=0;$a<$iffriendspagecount;$a++) {
$template = str_replace("<IfFriendsPage>".between("<IfFriendsPage>", "</IfFriendsPage>", $template)."</IfFriendsPage>", "", $template);
}


// CHECK FOR SHOW COMMENT PERMISSIONS
if($owner_group_info[allow_comments] == "0" | $weblog_info[show_comments] == "0") {
$remove_comments = "yes";
} elseif($entry_info[comments] == "0") {
$remove_comments = "yes";
} else {
$remove_comments = "no";
}


// REMOVE ANYTHING BETWEEN <IFCOMMENTSALLOWED> AND <COMMENT> CONTAINERS IF COMMENTS NOT ALLOWED
if($remove_comments == "yes") {
 $ifcommentsallowedcount = occurrencecount("<IfCommentsAllowed>", "</IfCommentsAllowed>", $template, "0");
 for($a=0;$a<$ifcommentsallowedcount;$a++) {
 $template = str_replace("<IfCommentsAllowed>".between("<IfCommentsAllowed>", "</IfCommentsAllowed>", $template)."</IfCommentsAllowed>", "", $template);
 }
 $commentcontcount = occurrencecount("<Comment>", "</Comment>", $template, "0");
 for($a=0;$a<$commentcontcount;$a++) {
 $template = str_replace("<Comment>".between("<Comment>", "</Comment>", $template)."</Comment>", "", $template);
 }
}



// CHECK FOR POST COMMENT PERMISSIONS
if($owner_group_info[allow_comments] == "0" | $weblog_info[show_comments] == "0" | $weblog_info[who_comments] == "0") {
$remove_post_comments = "yes"; 
} elseif($entry_info[comments] == "0") {
$remove_post_comments = "yes";
} else {
$remove_post_comments = "no";
}


// REMOVE ANYTHING BETWEEN <IFCOMMENTPOSTALLOWED> CONTAINERS IF POST COMMENTS NOT ALLOWED
if($remove_post_comments == "yes") {
 $ifpostcommentsallowedcount = occurrencecount("<IfCommentPostAllowed>", "</IfCommentPostAllowed>", $template, "0");
 for($a=0;$a<$ifpostcommentsallowedcount;$a++) {
 $template = str_replace("<IfCommentPostAllowed>".between("<IfCommentPostAllowed>", "</IfCommentPostAllowed>", $template)."</IfCommentPostAllowed>", "", $template);
 }
}

// REMOVE ANYTHING BETWEEN <IFTRACKBACKSALLOWED> AND <TRACKBACK> CONTAINERS IF TRACKBACKS NOT ALLOWED
if($owner_group_info[allow_trackback] == "0" | $entry_info[trackbacks] == "0") {
 $iftrackbacksallowedcount = occurrencecount("<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>", $template, "0");
 for($a=0;$a<$iftrackbacksallowedcount;$a++) {
 $template = str_replace("<IfTrackbacksAllowed>".between("<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>", $template)."</IfTrackbacksAllowed>", "", $template);
 }
 $trackbackcontcount = occurrencecount("<Trackback>", "</Trackback>", $template, "0");
 for($a=0;$a<$trackbackcontcount;$a++) {
 $template = str_replace("<Trackback>".between("<Trackback>", "</Trackback>", $template)."</Trackback>", "", $template);
 }
}


// CREATE PAGE VARIABLES
$entry_date[date] = $entry_info[date];
if($e_id == 0) {
$total_entries = 1+mysql_num_rows(mysql_query("SELECT e_id FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0'"));
$current_page = 1+mysql_num_rows(mysql_query("SELECT e_id FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$entry_date[date]' AND draft='0'"));
} else {
$total_entries = mysql_num_rows(mysql_query("SELECT e_id FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND draft='0'"));
$current_page = mysql_num_rows(mysql_query("SELECT e_id FROM bhost_entries WHERE w_id='$weblog_info[w_id]' AND date >= '$entry_date[date]' AND draft='0'"));
}

// REMOVE ANYTHING BETWEEN <IFPAGES> CONTAINERS IF ONLY ONE PAGE
if($total_entries == 1) {
 $ifpagescount = occurrencecount("<IfPages>", "</IfPages>", $template, "0");
 for($a=0;$a<$ifpagescount;$a++) {
 $template = str_replace("<IfPages>".between("<IfPages>", "</IfPages>", $template)."</IfPages>", "", $template);
 }
}

// REMOVE ANYTHING BETWEEN <LATERLINK> IF NOTHING LATER
if($current_page == "1") {
 $template = str_replace("<LaterLink>", "", $template);
 $template = str_replace("</LaterLink>", "", $template);
}

// REMOVE ANYTHING BETWEEN <EARLIERLINK> IF NOTHING EARLIER
if($current_page == $total_entries) {
 $template = str_replace("<EarlierLink>", "", $template);
 $template = str_replace("</EarlierLink>", "", $template);
}

// INPUT PAGE VARIABLES
$search_array2 = Array("<LaterLink>", "</LaterLink>", "<EarlierLink>", "</EarlierLink>", "<%CurrentPage%>", "<%TotalPages%>");
$replace_array2 = Array("<a class='laterlink' href='#'>", "</a>", "<a class='earlierlink' href='#'>", "</a>", "$current_page", "$total_entries");
$template = str_replace($search_array2, $replace_array2, $template);

// REMOVE ENTRY CATEGORIES IF NOT ALLOWED
if($owner_group_info[allow_entry_cat] != "1") {
 $ifcategoriesallowedcount = occurrencecount("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $template, "0");
 for($a=0;$a<$ifcategoriesallowedcount;$a++) {
 $template = str_replace("<IfCategoriesAllowed>".between("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $template)."</IfCategoriesAllowed>", "", $template);
 }
 $template = str_replace("<%EntryCategory%>", "", $template);
}

// CHECK FOR ENTRIES
$entrycount = occurrencecount("<Entry>", "</Entry>", $template, "0");
for($i=0;$i<$entrycount;$i++) {
$insert = "";
$entry = between("<Entry>", "</Entry>", $template);
 $insert .= $entry;
  $entrytitle = str_replace("&lt;", "<", $entry_info[title]);
  $entrytitle = str_replace("&gt;", ">", $entrytitle);

if($entry_info[ec_id] == 0) {
 $ifcategoriesallowedcount = occurrencecount("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $insert, "0");
 for($a=0;$a<$ifcategoriesallowedcount;$a++) {
 $insert = str_replace("<IfCategoriesAllowed>".between("<IfCategoriesAllowed>", "</IfCategoriesAllowed>", $insert)."</IfCategoriesAllowed>", "", $insert);
 }
$entry_category = "$previewentry2";
} else {
$entry_cat = mysql_fetch_assoc(mysql_query("SELECT ec_id, name FROM bhost_entrycategories WHERE ec_id='$entry_info[ec_id]' AND w_id='$weblog_info[w_id]'"));
$entry_category = "<a href='".url("index_cat", $weblog_info[weblog], "", "0", "", "", "", "", $category="$entry_cat[name]")."'>$entry_cat[name]</a>";
}

$entry_author = mysql_fetch_assoc(mysql_query("SELECT username, display_name, avatar FROM bhost_users WHERE u_id='$entry_info[author_u_id]'"));

if($entry_author[display_name] == "") { $entry_author[display_name] = $entry_author[username]; }

// CHECK FOR MISSING AVATAR FIRST
$entry_avatar = $entry_author[avatar];
$avatar_stripped = str_replace(" ", "", $entry_avatar);
if($avatar_stripped == "" OR $avatar_stripped == "http://") {
$entry_avatar = url("/images/", "images/noavatar2.gif");
}

 $search_array3 = Array("<%EntryDate%>", "<%EntryTitle%>", "<%EntryURL%>", "<%EntryBody%>", "<%EntryAuthor%>", "<%EntryAuthorURL%>", "<%EntryAuthorAvatar%>", "<%EntryTime%>", "<%EntryCategory%>", "<SendThisLink>", "</SendThisLink>");
 $replace_array3 = Array(cdate("$weblog_info[format_date]", timezone($entry_info[date])), "$entrytitle", "#", "$entry_info[contents]", "$entry_author[display_name]", "#", "$entry_avatar", cdate("$weblog_info[format_time]", timezone($entry_info[date])), "$entry_category", "<a href='#'>", "</a>");
 $insert = str_replace($search_array3, $replace_array3, $insert);

 if($remove_comments != "yes") {
  $insert = str_replace("<%CommentPostURL%>", "#", $insert);
  $numofcomments = mysql_num_rows(mysql_query("SELECT c_id FROM bhost_comments WHERE w_id='$weblog_info[w_id]' AND e_id='$e_id'"));
  $numoftrackbacks = mysql_num_rows(mysql_query("SELECT tb_id FROM bhost_trackbacks WHERE e_id='$e_id'"));
  $insert = str_replace("<%EntryCommentCount%>", $numofcomments, $insert);
  $commentcount = occurrencecount("<Comment>", "</Comment>", $insert, "0");
  for($f=0;$f<$commentcount;$f++) {
  $insert2 = "";
  $comment = between("<Comment>", "</Comment>", $insert);
  $comments = mysql_query("SELECT * FROM bhost_comments WHERE w_id='$weblog_info[w_id]' AND e_id='$e_id' ORDER BY date");
   while($comment_info = mysql_fetch_assoc($comments)) {
    $comment_author_check = mysql_num_rows(mysql_query("SELECT u_id FROM bhost_users WHERE username='$comment_info[username]' AND u_id='$comment_info[author_u_id]'"));
    $comment_author = @mysql_fetch_assoc(mysql_query("SELECT u_id, avatar FROM bhost_users WHERE username='$comment_info[username]' AND u_id='$comment_info[author_u_id]'"));
    if($comment_author_check == 1) { 
     $commentauthor = "<a href='#'>$comment_info[username]</a>"; 
     if(str_replace(" ", "", $comment_author[avatar]) == "") { $commentauthoravatar = "./images/noavatar.gif"; } else { $commentauthoravatar = "$comment_author[avatar]"; }
    } else { 
     if($comment_info[author_u_id] != "0") {
     $commentauthor = "<a href='#'>$comment_info[username]</a>";
     } else {
     $commentauthor = $comment_info[username];
     }
     $commentauthoravatar = "./images/noavatar.gif";
    }

    $this_comment = $comment;
     $comment_edit = "yes";
     $comment_delete = "yes";
     if($weblog_info[logip_comments] == "1") { $comment_ip = "yes"; } else { $comment_ip = "no"; }
     $this_comment = str_replace("<CommentEdit>", "<a href='#'>", $this_comment);
     $this_comment = str_replace("</CommentEdit>", "</a>", $this_comment);
     $this_comment = str_replace("<CommentDelete>", "<a href='#'>", $this_comment);
     $this_comment = str_replace("</CommentDelete>", "</a>", $this_comment);
     if($comment_info[IP] == "") { $IP = "IP Not Logged"; } else { $IP = $comment_info[IP]; }
     $this_comment = str_replace("<%CommentAuthorIP%>", "($IP)", $this_comment);


   $insert2 .= "<a name='c$comment_info[c_id]'></a>".$this_comment;  
   $search_array4 = Array("<%CommentDate%>", "<%CommentTitle%>", "<%CommentBody%>", "<%CommentAuthor%>", "<%CommentAuthorAvatar%>", "<%CommentTime%>", "<%CommentURL%>");
   $replace_array4 = Array(cdate("$weblog_info[format_date]", timezone($comment_info[date])), "$comment_info[title]", "$comment_info[contents]", "$commentauthor", "$commentauthoravatar", cdate("$weblog_info[format_time]", timezone($comment_info[date])), "#");
   $insert2 = str_replace($search_array4, $replace_array4, $insert2);
   }
  $insert = str_replace("<Comment>".$comment."</Comment>", $insert2, $insert);
  }
 }


 if($owner_group_info[allow_trackback] != "0" | $entry_info[trackbacks] != "0") {
  $insert = str_replace("<%EntryTrackbackURL%>", "#", $insert);

  $insert = str_replace("<%TrackbackCount%>", $numoftrackbacks, $insert);
  $trackbackcount = occurrencecount("<Trackback>", "</Trackback>", $insert, "0");
  for($f=0;$f<$trackbackcount;$f++) {
  $insert3 = "";
  $trackback = between("<Trackback>", "</Trackback>", $insert);
  $trackbacks = mysql_query("SELECT * FROM bhost_trackbacks WHERE e_id='$e_id' ORDER BY tb_date");
   while($trackback_info = mysql_fetch_assoc($trackbacks)) {
    $this_trackback = $trackback;
    $trackback_delete = "yes";
    if($trackback_delete == "yes") {
     $this_trackback = str_replace("<TrackbackDelete>", "<a href='#'>", $this_trackback);
     $this_trackback = str_replace("</TrackbackDelete>", "</a>", $this_trackback);
    } else {
      $this_trackback = str_replace("<TrackbackDelete>".between("<TrackbackDelete>", "</TrackbackDelete>", $this_trackback)."</TrackbackDelete>", "", $this_trackback);
    }

   $insert3 .= "<a name='tb$trackback_info[tb_id]'></a>".$this_trackback;  
   $search_array5 = Array("<%TrackbackBlogName%>", "<%TrackbackURL%>", "<%TrackbackTitle%>", "<%TrackbackExcerpt%>", "<%TrackbackDate%>", "<%TrackbackTime%>");
   $replace_array5 = Array("$trackback_info[tb_blog_name]", "#", "$trackback_info[tb_title]", "$trackback_info[tb_excerpt]", cdate("$weblog_info[format_date]", timezone($trackback_info[tb_date])), cdate("$weblog_info[format_time]", timezone($trackback_info[tb_date])));
   $insert3 = str_replace($search_array5, $replace_array5, $insert3);
   }
  $insert = str_replace("<Trackback>".$trackback."</Trackback>", $insert3, $insert);
  }
 }


$template = str_replace("<Entry>".$entry."</Entry>", $insert, $template);

}

$search_vars = Array("<IfPages>", "</IfPages>", "<EarlierLink>", "</EarlierLink>", "<LaterLink>", "</LaterLink>", "<RecentEntry>", "</RecentEntry>", "<Entry>", "</Entry>", "<IfCommentsAllowed>", "</IfCommentsAllowed>", "<IfCommentPostAllowed>", "</IfCommentPostAllowed>", "<Comment>", "</Comment>", "<CommentEdit>", "</CommentEdit>", "<CommentDelete>", "</CommentDelete>", "<IfMainPage>", "</IfMainPage>", "<IfEntryPage>", "</IfEntryPage>", "<IfArchivePage>", "</IfArchivePage>", "<IfCategoriesAllowed>", "</IfCategoriesAllowed>", "<%TrackbackRDF%>", "<IfTrackbacksAllowed>", "</IfTrackbacksAllowed>");
$template = str_replace($search_vars, "", $template);

// OUTPUT WEBLOG
echo $template;
?>